Description

I have categorised this with 'Processing QGIS', because you cannot give it more than one category, but it also applies to Processing

OGR.

When you save to file in the QGIS fixed-distance buffer or in the OGR buffer vectors tool, the layer name is always 'Buffer'. In QGIS 2.14,

the layer name would be the same as the shapefile name (for shapefiles ...).

I think it may count as a regression. Clearly, it is simple to manually edit the layer name, copy and paste from the source name, but this

may not be obvious to some users.

It is about the buffers, so this is closely related to #17291.

Related issues:

Related to QGIS Application - Bug report # 17291: QGIS fixed-distance buffer ... Closed 2017-10-16

History

#1 - 2017-10-17 09:23 AM - Jürgen Fischer

- Description updated

#2 - 2017-10-17 09:24 AM - Jürgen Fischer

- Related to Bug report #17291: QGIS fixed-distance buffer skips features with invalid geometry added

#3 - 2017-10-17 11:47 AM - Giovanni Manghi

- Operating System deleted (W10)

- Subject changed from Layer name 'Buffer' even when saved to file to Processing output name called after the operation name even when saved to file

- Category changed from Processing/QGIS to Processing/Core

- Status changed from Open to Feedback

When you select "save to file" I see no difference between 2.14 and 2.18, they behave exactly the same and it all depends on the Processing general option

"use filename as layer name" being active or not.

#4 - 2017-10-17 05:05 PM - Steve Lowman

Thanks Giovanni. In fact, there is a difference between 2.14 and 2.18.

In 2.14, if you use the 'Vector > Geoprocessing tools > Buffers' tool, it will give your output layer the same name as the shapefile, even if you have the

Processing > General > Options set to 'unchecked' on "use filename as layer name".
Perhaps the best solution in 2.18 might be to have this checked by default, instead of unchecked.

When I tried to change the option setting, I encountered and took some time and stress to find the work-around to the problem explained in Issue #16429,

which crashed my application several times. It is working for me now, but many users may not so easily resolve it. Perhaps I should raise a bug report for

the #16429 issue, instead of a feature request?

#5 - 2017-10-17 05:06 PM - Steve Lowman

- Status changed from Feedback to Open

Setting back to 'Open' after responding to feedback.

#6 - 2017-10-17 07:23 PM - Giovanni Manghi

- Status changed from Open to Feedback

In 2.14, if you use the 'Vector > Geoprocessing tools > Buffers' tool, it will give your output layer the same name as the shapefile, even if you have

the Processing > General > Options set to 'unchecked' on "use filename as layer name".

sure? In 2.14 the shortcut in

'Vector > Geoprocessing tools > Buffers'

didn't opened the Processing/buffer tool, it opened the old one from what was called "ftools". The underlying code is basically the same, but the GUI is not.

In the "ftools" tool you cannot leave the output name/path empty, it was mandatory to specify a name and a location and in general those tools didn't used

any Processing configuration/option.

#7 - 2017-10-18 10:40 AM - Steve Lowman

- Status changed from Feedback to Open

Thanks, I wasn't sure how ftools related to the OGR version, but what you say makes sense.

It effectively means that the default behaviour for the tool in the Vector menu is now different regarding the layer name, and many users will not know about

the possibility to change the Processing option. Then, if you learn about that possibility, the #16429 issue causes a crash when you try to change the

Processing option, and the work-around for this is quite difficult to find and implement - I had several crashes before I succeeded yesterday.

I think the default setting in Processing Options should be to have "Use filename as layer name" checked. I will raise this as a feature request.

I note that #16429 is now changed from feature request to bug report, which is quite right.

#8 - 2017-10-18 10:44 AM - Giovanni Manghi

- Status changed from Open to Feedback

It effectively means that the default behaviour for the tool in the Vector menu is now different regarding the layer name, and many users will not know

about the possibility to change the Processing option. Then, if you learn about that possibility, the #16429 issue causes a crash when you try to

change the Processing option, and the work-around for this is quite difficult to find and implement - I had several crashes before I succeeded
yesterday.

is a change because since 2.18 the shortcuts in the "vector" menu open the Processing tools (no more "ftools"). This will also happen for the entries in the

"raster" menu... not even sure that in QGIS3 there will be "vector" and "raster" at all...

for me this ticket should be closed as invalid, the "change" is expected. Make sense filing a feature request for "Use filename as layer name" as default, but

that's it.

#9 - 2017-10-18 11:06 AM - Steve Lowman

I agree, thank you.

#10 - 2017-10-18 12:33 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
